2008-10-06  Bruno Cornec <bruno@project-builder.org>

	* [r2037] src/mondorestore/mondo-prep.c: Remove useless function
	  calc_orig_size_of_drive_from_mountlist
	* [r2036] src/common/libmondo-cli.c: Fix a bug reported by Andree
	  on an abuse for inexistant path in -E considered as a fatal error
	* [r2035] src/mondorestore/mondo-prep.c: Applied ideas from
	  Andree's patch for removing potential interactive vgremove
	  command

2008-10-02  Bruno Cornec <bruno@project-builder.org>

	* [r2030] src/common/libmondo-archive.c,
	  src/common/libmondo-fifo.c, src/common/libmondo-filelist.c,
	  src/common/libmondo-tools.c, src/common/newt-specific.c,
	  src/include/my-stuff.h, src/mondoarchive/mondoarchive.c,
	  src/mondorestore/mondo-rstr-tools.c,
	  src/mondorestore/mondorestore.c: - Fix #252
	  - Improve OCFS2 support (ocfs2 is a SANE_FORMAT)
	* [r2029] src/include/my-stuff.h,
	  src/mondorestore/mondo-rstr-tools.c: - Should fix #277
	  (compatibility in live mode with previous versions)
	* [r2028] src/restore-scripts/mondo/label-partitions-as-necessary:
	  - Add support for labeled reiser FS (Tehrani Ulrich
	  <ulrich.tehrani_at_valora.com>)
	  - Add support for new Qlogic drivers in mindi (Tehrani Ulrich
	  <ulrich.tehrani_at_valora.com>)

2008-09-23  Bruno Cornec <bruno@project-builder.org>

	* [r2022] src/common/libmondo-cli.c,
	  src/mondorestore/mondo-rstr-tools.c,
	  src/mondorestore/mondorestore.c: - DSF patch modified to so that
	  get_dsf_mount_list only deal with one path passed as param
	  - -E and -I options are working again. DSF not fully tested, but
	  no more issue (Fix #274)
	  - Fix some complier warnings

2008-09-19  Bruno Cornec <bruno@project-builder.org>

	* [r2017] src/mondorestore/mondo-prep.c: Adds support for OCFS2
	  file system when formating using the right command in
	  which_format_command_do_i_need.

2008-08-11  Bruno Cornec <bruno@project-builder.org>

	* [r2011] src/common/libmondo-cli.c: Fix warnings and errors in
	  previous libmondo-cli.c patch

2008-08-10  Bruno Cornec <bruno@project-builder.org>

	* [r2007] src/common/libmondo-cli.c: Patch and comment from Michael
	  Shapiro:
	  
	  I wrote a function called get_dsf_mount_list() that, given a
	  whole disk device special file (dsf), it will return a list of
	  all of the mounted file systems residing on that disk in the
	  variable included_dsf_list, and a list of all of the mounted file
	  systems that are not residing on that disk in the variable
	  excluded_dsf_list:
	  
	  static int
	  get_dsf_mount_list (char *dsf,
	  char **included_dsf_list,
	  char **excluded_dsf_list);
	  
	  The function does the following:
	  
	  - Verifies that the dsf exists and has a partition table on it.
	  
	  - Creates a linked list of all of the locally mounted file
	  systems (i.e. the mount points that start with "/dev/") using a
	  new structure called mounted_fs_struct. Each structure contains
	  the name of the
	  device, the device's mount point, and a variable called check
	  that will be set to 1 if the mount point resides on the disk and
	  a 0 if the mount point does not reside on the disk.
	  
	  - Loops through each partition on the disk and:
	  
	  -- If the partition is swap, it ignores it.
	  
	  -- If the partition is mounted (e.g. /dev/sda1 is mounted on
	  /boot, /dev/sda2 is mounted on /usr, etc.), it finds its entry on
	  the linked list and sets check == 1.
	  
	  -- If the partition is part of a Volume Group that has Logical
	  Volumes mounted, it finds its entry on the linked list for each
	  mounted Logical Volume in that Volume Group and sets check == 1.
	  Note that if
	  the Volume Group contains more than one disk, it will still add
	  the entry even if the Logical Volume's extents are not on, or
	  only partially on, the dsf that was passed in to the function.
	  For example,
	  Volume Group VolGroup00 contains the disks /dev/sda1 and
	  /dev/sdb1, and the Logical Volumes LogVol01, which is mounted on
	  /var and has all of its extents on /dev/sda1, and LogVol02, which
	  is mounted as /usr
	  and has all of its extents on /dev/sdb1. If you pass /dev/sda
	  into the function, both /var and /usr will be archived even
	  though /usr is actually on/dev/sdb.
	  
	  -- If the partition is part of a Volume Group that has Logical
	  Volumes used in a mounted software raid device, it finds its
	  entry on the linked list and sets check == 1.
	  
	  -- If the partition is part of a mounted software raid device, it
	  finds its entry on the linked list and sets check == 1.
	  
	  - At the end of the function, it walks through the linked list
	  and, for every entry where check == 1, catenates the mount point
	  to included_dsf_list. For every entry where check == 0, it
	  catenates the mount
	  point to excluded_dsf_list.
	  
	  In process_switches():
	  
	  - I added code to the section that processes the -I option and,
	  if a whole disk device special file is passed in, it calls
	  get_dsf_mount_list(), sets bkpinfo->include_paths == "/", and
	  catenates the
	  contents of excluded_dsf_list to bkpinfo->exclude_paths. If a
	  whole disk device special file is not passed in, it processes the
	  -I option normally.
	  
	  - I added code to the section that processes the -E option and,
	  if a whole disk device special file is passed in, it calls
	  get_dsf_mount_list() and catenates the contents of
	  included_dsf_list to
	  bkpinfo->exclude_paths. If a whole disk device special file is
	  not passed in, it processes the -E option normally.

2008-07-10  Bruno Cornec <bruno@project-builder.org>

	* [r1999] src/common/libmondo-fork-EXT.h,
	  src/common/libmondo-fork.c, src/common/libmondo-fork.h,
	  src/common/libmondo-tools.c, src/common/newt-specific.c,
	  src/mondorestore/mondorestore.c,
	  src/restore-scripts/mondo/grub-install.patched,
	  src/restore-scripts/mondo/mount-subroutine-me: - Protect
	  recursive remove of tempdir with test on the look and feel of
	  that dir to avoid removing blindly useful dir :-(
	* [r1996] src/mondorestore/mondo-rstr-tools.c: small cleanup

2008-06-25  Bruno Cornec <bruno@project-builder.org>

	* [r1991] src/common/libmondo-cli.c: -H should be usable with
	  tapes, especially OBDR ones.
	* [r1990] src/mondorestore/mondo-rstr-tools.c: - Replace a 32kB
	  blocksize fix with the internal blaock size, and adds a call to
	  setblk to try to fix #255, which shouldn't break anything - test
	  to be done

2008-06-22  Bruno Cornec <bruno@project-builder.org>

	* [r1989] configure.in, src/restore-scripts/Makefile.am,
	  src/restore-scripts/mondo/ISO,
	  src/restore-scripts/mondo/Makefile.am,
	  src/restore-scripts/mondo/ask-me-a-question,
	  src/restore-scripts/mondo/compare-subroutine-me,
	  src/restore-scripts/mondo/edit-mountlist,
	  src/restore-scripts/mondo/restore-bigfiles-from-iso,
	  src/restore-scripts/usr: - Rwmove ChopUpAndCopyFile in mindi
	  - mindi doesn't use slices anymore (no need as no floppy anymore)
	  - Removal of sone useless scripts under restore-scripts/mondo

2008-06-20  Bruno Cornec <bruno@project-builder.org>

	* [r1988] src/common/libmondo-devices.c: Fix for #261 nsspool and
	  nssvol support (thanks sprobst for report and proposal of ptch)
	* [r1987] src/mondorestore/mondo-rstr-tools.c,
	  src/mondorestore/mondorestore.c: Fix #260 restoring when cancel
	  in non disaster mode was a regression on 2.2.5

2008-06-16  Bruno Cornec <bruno@project-builder.org>

	* [r1983] src/common/libmondo-devices.c,
	  src/restore-scripts/mondo/Makefile.am,
	  src/restore-scripts/mondo/format-and-kludge-vfat,
	  src/restore-scripts/mondo/ide-opt,
	  src/restore-scripts/mondo/ide-opt-off: - Remove aux-tools dir in
	  mindi (either scripts moved or removed)
	  - Remove isolinux and syslinux static files from mindi. Now
	  generated
	  - Remove lilo support for ia32 now useless in mindi
	  - Remoce empty directories in rootfs in mindi
	  - Remove HackSyslinuxFile, CopyBootBFile, FindLiloBinary,
	  FindSensibleBootBFile, MakeSyslinuxMessageFile, MakeLiloConfFile,
	  ReplaceIndividualLine in mindi
	  - Adds a single MakeBootConfFile function to dynamiclly create
	  needed conf files in mindi
	  - Avoids error messages when using only mindi with a non-existant
	  /tmp/mondo-restore.cfg

2008-06-05  Bruno Cornec <bruno@project-builder.org>

	* [r1978] : Creation of
	  svn+ssh://svn.mondorescue.org/mondo/svn/mondorescue//branches/2.2.7
	  from
	  svn+ssh://svn.mondorescue.org/mondo/svn/mondorescue//branches/2.2.6

2008-06-01  Bruno Cornec <bruno@project-builder.org>

	* [r1976] : Removes now useless files

2008-05-31  Bruno Cornec <bruno@project-builder.org>

	* [r1972] : Exclude gfs type of FS from backup (should solve #135)

2008-05-30  Bruno Cornec <bruno@project-builder.org>

	* [r1971] : Umount local /proc and /sys before trying to umount
	  other FS at end of backup
	* [r1970] : - Adds OBDR support to interactive mode (asks the
	  question when using tape)

2008-05-29  Bruno Cornec <bruno@project-builder.org>

	* [r1969] : - Change order of test do that when restoring, cdrecord
	  is really not called ;-)
	  - mondoarchive already configures correctly the device name to
	  non-rew so avoid doing it again at restore time
	  - Fix automatic mode handling which was exiting in fact.
	* [r1968] : - Call skip_obdr before extracting conf files
	  - Do not call cdrecord for tape detection at restore time
	  (removes /dev/nst0)
	  - if using auto mode, do not ask for device type
	  - sleep 10 s after usb-storage loading to let time to system to
	  detect tape drive
	* [r1967] : - Remove all references to /root/images
	  - Fix the lack of support for options in mondorestore by copying
	  what is done for mondoarchive and sharing the functions analyzing
	  the cli (getopt usage)
	  - Review the now common handle_incoming_parameters to have it
	  support correctly 2 modes (archiving and restoring)
	  - Update mondorestore man page to take in account the options
	  supported now
	  - Replace mondorestore options --nuke, --interactive, with -Z
	  nuke, -Z interactive ...
	* [r1966] : - Begin modifications to allow mondorestore to use
	  handle_incoming_parameters so that it could take command line
	  params as well.

2008-05-28  Bruno Cornec <bruno@project-builder.org>

	* [r1962] : - rewind tape for OBDR support before positioning to
	  fsf 2
	  - export TAPEDEV for post-init and pass options to mondorestore

2008-05-27  Bruno Cornec <bruno@project-builder.org>

	* [r1956] : Use non-rewinding tape name earlier to pass it to mindi
	  so that at restore time we have the right device name for OBDR
	* [r1955] : - Some log for OBDR
	  - skip_obdr returns 0 if OK
	  - Fix typo
	* [r1954] : - Simplify some function interface with bkpinfo global
	  - Modify bkpinfo->media_device when OBDR to force using
	  non-rewionding dev and improve backup

2008-05-26  Bruno Cornec <bruno@project-builder.org>

	* [r1953] : Syntax fixes
	* [r1952] : - Avoid to rewind the tape for OBDR by setting the
	  blocksize in the obdr function on the non-rewinding dev.
	* [r1951] : - Correct function to hqndle non-rewinding dev
	* [r1950] : - Do not propose to use ILLO in mindi standalone
	  - Remove temporary .img files at the end of mindi
	  - Push the iso image on the tape the right way
	* [r1949] : syntax fixes
	* [r1948] : - Adds OBDR support (use_obdr field in bkpinfo added,
	  -o option changed to mean OBDR - LILO not usable anyway as a
	  bootloader for ISO images)
	* [r1947] : - Fix also the error with loglevel for restoration
	* [r1946] : beautify
	* [r1945] : Fix a bug with g_log_level handled as a string in a msg
	* [r1943] : Fix a comparison bug in libmondo-stream (pointers vs
	  integers - gcc warning)

2008-05-17  Bruno Cornec <bruno@project-builder.org>

	* [r1940] : Improve log when errors on ext. attr.

2008-05-15  Bruno Cornec <bruno@project-builder.org>

	* [r1937] : Attempt to fix problem with SuSE 10.2 boot loader not
	  reinstalled - may also fix other SLES issues reported with the
	  same problem - by mounting /proc and /sys in the chroot during
	  mount_all_devices

2008-05-11  Bruno Cornec <bruno@project-builder.org>

	* [r1936] : Removal of useless tools and distributions dir

2008-05-07  Bruno Cornec <bruno@project-builder.org>

	* [r1934] : Handle part of #250
	* [r1933] : Attempt to fix #249 (adding START and STOP headers
	  systematically for xattr and acl + more precise error messages
	* [r1932] : Attempt to solve #244 by ignoring SIGPIPE during big
	  file restore with gzip
	* [r1931] : Remove the useless g_sigpipe_caught bool

2008-04-22  Bruno Cornec <bruno@project-builder.org>

	* [r1930] : Renaming of files to be in conformity with stable and
	  ease aplication of patches between branches.

2008-04-18  Bruno Cornec <bruno@project-builder.org>

	* [r1928] : - CopyImageToDisk in mindi removed as useless
	  - some comments improved in mondo
	* [r1926] : Do not try to copy follpy images anymore (removes a
	  warning)

2008-04-17  Bruno Cornec <bruno@project-builder.org>

	* [r1922] : - MakeModuleLoadingScript (mindi), MyInsmod,
	  InsertEssentialModules (init) removed
	  - Simplification of modules handling when not using udev, which
	  makes code cleaner and more common with the udev code.
	  - Usage of modprobe systematically.
	  - Do not mess with modules.conf anymore. Just use what is in
	  deplist.txt
	* [r1920] : - Fix some compiler warning.
	  - That version seems to work correclty on gentoo x86_64 also

2008-04-16  Bruno Cornec <bruno@project-builder.org>

	* [r1919] : busybox under /usr/lib shouldn't be put on the boot
	  disk as it breaks the /usr/lib* build. Use only the /bin/busybox
	  bin.
	* [r1918] : removal of g_skip_floppies now useless
	* [r1917] : mondo.libmondo-cli.patch (Mark Pinkerton
	  <Mark.Pinkerton_at_emageon.com>) modified to not duplicate the
	  newt initialization stuff (we should rather remove them in
	  mondoarchive)
	* [r1916] : Apply patch mondo.live-nfs.patch (Mark Pinkerton
	  <Mark.Pinkerton_at_emageon.com>)
	* [r1915] : Sharing mondo-cli.c from mondoarchive as libmondo-cli.c
	  for both mondoarchive and mondorestore (Mark Pinkerton
	  <Mark.Pinkerton_at_emageon.com>) - More patches to come after

2008-04-14  Bruno Cornec <bruno@project-builder.org>

	* [r1913] : Extract of mandatory files is now under ./tmp/..
	  instead of tmp/.. as we now use ar to create the all.tar.gz
	* [r1909] : - Remove stalled links at root of the restore media
	  - Suppress some compiler warnings

2008-04-08  Bruno Cornec <bruno@project-builder.org>

	* [r1902] : mindi simplification, by not managing multiple data
	  disks anymore

2008-04-04  Bruno Cornec <bruno@project-builder.org>

	* [r1900] : Attempt to solve a minor valgrind issue

2008-04-03  Bruno Cornec <bruno@project-builder.org>

	* [r1899] : - Removes the useless uid field of the mountlist_line
	  struct
	  - Removes some \r found useless
	  - Adds conditions of existence around button updates with Newt
	  (valgrind feedback)

2008-03-22  Bruno Cornec <bruno@project-builder.org>

	* [r1894] : Version 2.2.6 created based on 2.2.5
	* [r1892] : - NEWS should now be generated for mondo
	  - Fix a date error in pbcl for mindi-busybox

2008-03-05  Bruno Cornec <bruno@project-builder.org>

	* [r1889] : Removes an extra #endif

2008-03-01  Bruno Cornec <bruno@project-builder.org>

	* [r1885] : - Remove floppy support from mindi and mondo and adapt
	  docs
	  - Align more mindi with the version from stable

2008-02-16  Bruno Cornec <bruno@project-builder.org>

	* [r1884] : mondoarchive now really excludes /tmp by default
	  (Thanks to Bill R. Williams for finding it)

2008-01-27  Bruno Cornec <bruno@project-builder.org>

	* [r1881] : Should fix the problem with the prefix always asked at
	  restore time, even when it's not NFS

2008-01-24  Bruno Cornec <bruno@project-builder.org>

	* [r1879] : postpone removal of tmpdir to avoid error messages at
	  end
	* [r1878] : fix an issue in the kill procedure

2008-01-22  Bruno Cornec <bruno@project-builder.org>

	* [r1875] : Same stuff as previous one
	* [r1874] : Typo fix compiler issue

2008-01-21  Bruno Cornec <bruno@project-builder.org>

	* [r1873] : Replace some sprintf by asprintf (searching for a core
	  dumped bug at restore time when dealing with bootloader: asks for
	  writing BL, and fails after)
	* [r1872] : Adds the possibility to increase debug level at restore
	  time with a -K option

2008-01-17  Bruno Cornec <bruno@project-builder.org>

	* [r1870] : Improved version of the previous bug fix: finished
	  variable removed.
	* [r1869] : Solve an issue on Bigfiles:
	  When one bigfile (such as mondo's ISO image) is deleted during
	  the archiving,
	  it creates a hole in the suite of Bigfiles (in my case bigfile 0
	  was missing)
	  So at restore time, it was aborting the rest of the restoration
	  of big files as this one was failing, which is worng
	  Now mondorestore loops until it reaches the number of bigfiles,
	  so will restore the others.

2008-01-11  Bruno Cornec <bruno@project-builder.org>

	* [r1858] : Try to really fix the NFS mount problem already handled
	  in rev [1849]
	* [r1856] : solve the seg fault in snprintf due to a change of
	  number of params
	* [r1855] : try to fix a recently introduced core dumped
	* [r1854] : removal of locate usage completely from code to use
	  findw!

2008-01-07  Bruno Cornec <bruno@project-builder.org>

	* [r1852] : Fix typo

2008-01-04  Bruno Cornec <bruno@project-builder.org>

	* [r1850] : before killing a process test that there is a result to
	  ps (avoid whom to kill messages)
	* [r1849] : Fix isodir uninitialized in NFS restore, leading to a
	  bad test first time, but correct in a second try
	* [r1848] : Never tries to eject a NFS media (report from Brian
	  McKee)
	* [r1847] : Only ask for size in NFS mode at backup time (report
	  from Brian McKee)

2007-12-18  Bruno Cornec <bruno@project-builder.org>

	* [r1846] : Need linux/fd.h not fd.h
	* [r1845] : Attempt to fix #224

2007-12-17  Bruno Cornec <bruno@project-builder.org>

	* [r1843] : - Format (tabs) improvements
	  - Fix for #223 floppy detection improvement (Based on LazarusLong
	  patch proposal)

2007-12-06  Bruno Cornec <bruno@project-builder.org>

	* [r1836] : Adds support for alb/aft types of bonding on Intel
	  cards (Mark Pinkerton <Mark.Pinkerton_at_emageon.com>)

2007-11-29  Bruno Cornec <bruno@project-builder.org>

	* [r1824] : - Some VMWare support improvements (however, it seems
	  that VMWare support won't be possible anytime soon)
	  - during init at restore time, copy all static evices availble
	  for udev, as some distro implementation are not yet supported
	  correctly for udev. Not very elegant, but should solve our
	  current issues

2007-11-24  Bruno Cornec <bruno@project-builder.org>

	* [r1821] : small ia64 fixes

2007-11-21  Bruno Cornec <bruno@project-builder.org>

	* [r1819] : - removes bkphw dir before potential creation
	  - render mount command more vebose at restore time

2007-11-20  Bruno Cornec <bruno@project-builder.org>

	* [r1818] : - Should fix #217

2007-11-15  Bruno Cornec <bruno@project-builder.org>

	* [r1806] : Adaptation of build process to upcoming 0.8.12 version
	  of pb

2007-11-13  Bruno Cornec <bruno@project-builder.org>

	* [r1791] : Do not mount /boot if it's already mounted - avoids ESX
	  hang

2007-11-11  Bruno Cornec <bruno@project-builder.org>

	* [r1785] : Use variable DF in mindi to be able to support the ESX
	  vdf

2007-11-10  Bruno Cornec <bruno@project-builder.org>

	* [r1784] : Fix mindi for Debian x86_64 where /lib64 is a link

2007-11-09  Bruno Cornec <bruno@project-builder.org>

	* [r1780] : In udev case do not insert modules at all (udev should
	  do it alone)
	  May avoid the issue with rhel4.5 kernel ? To be tested

2007-11-06  Bruno Cornec <bruno@project-builder.org>

	* [r1771] : Use RESTORE consistently across mondo to restore
	  without interaction (report from Takeshi Shoji
	  t.shoji_at_tripodw.jp)

2007-11-05  Bruno Cornec <bruno@project-builder.org>

	* [r1767] : Remove dummy file created on NFS - report from Arnaud
	  Tiger <arnaud.tiger_at_hp.com>

2007-11-04  Bruno Cornec <bruno@project-builder.org>

	* [r1766] : - strace useful for debug
	  - fix new versions for pb (2.0.0 for mindi and 1.7.2 for
	  mindi-busybox)
	  - fix build process for mindi-busybox + options used in that
	  version (dd for label-partitions-as-necessary)
	  - fix typo in label-partitions-as-necessary which doesn't seem to
	  work
	* [r1763] : Fix the remaining problem with UUID support for swap
	  partitions

2007-10-31  Bruno Cornec <bruno@project-builder.org>

	* [r1755] : Fix UUID support which was still broken.
	  Caveat: It can't work for swap partitions as there is no mksap -U
	  option contrary to the -L option for LABEL
	  So at reboot you won't have swap activated and you'll have to run
	  vol_id -u the_swap_partition to fix your /etc/fstab file

2007-10-30  Bruno Cornec <bruno@project-builder.org>

	* [r1749] : Fix compiler warnings
	* [r1747] : - Solve problem on tmpfs in restore init (Problem of
	  inexistant symlink and busybox)
	  - Create MONDO_CACHE and use it everywhere + creation at start
	* [r1746] : Really never try to eject a USB device
	* [r1745] : - Fix a command build format error
	  - USB should never be ejected
	* [r1744] : Fix a issue with &> usage (replaced with 1> and 2>)
	* [r1743] : And again :-(
	* [r1742] : Typo
	* [r1741] : - Adds magic file to depllist in order to have file
	  working + ldd which helps for debugging issues
	  - tty modes correct to avoid sh error messages
	  - Use ext3 normally and not ext2 instead
	  - USB device should be corrected after reading (take 1st part)
	  - Adds a mount_USB_here function derived from mount_CDROM_here
	* [r1740] : typo again
	* [r1739] : typo
	* [r1738] : usb detection place before /dev detection in device
	  name at restore time
	* [r1737] : - Message fixes
	  - Fix when restoring from USB: media is asked in interactive mode
	* [r1736] : - Adds USB support for mondorestore
	  - mount_cdrom => mount_media

2007-10-27  Bruno Cornec <bruno@project-builder.org>

	* [r1713] : - Improve Ubuntu/Debian keyboard detection and support
	  - pbinit adapted to new pb (0.8.10). Filtering of docs done in it
	  - Suppress some mondo warnings and errors on USB again
	* [r1711] : Another tupo
	* [r1710] : Typo
	* [r1709] : - Verify should now work for USB devices
	  - More log/mesages improvement for USB support
	* [r1708] : - Supress g_erase_tmpdir_and_scratchdir
	  - Improve some log messages for USB support
	  - Try to improve install in mindi to avoid issues with
	  isolinux.cfg not installed vene if in the pkg :-(

2007-10-23  Bruno Cornec <bruno@project-builder.org>

	* [r1703] : - Add USB Key button to Menu UI (CD streamer removed)
	  - Attempt to fix error messages on tmp/scratch files at the end
	  by removing those dir at the latest possible.
	* [r1702] : Fix a bug linked to the size of the -E param which
	  could be used (Arnaud Tiger/René Ribaud).

2007-10-21  Bruno Cornec <bruno@project-builder.org>

	* [r1699] : Try to remove warning only for functions returning
	  value not examined
	* [r1698] : Add USB support at restore time (no test done yet). New
	  start-usb script
	  PB varibale added where useful
	* [r1697] : Unmounting USB device before removal of temporary
	  scratchdir
	* [r1696] : Stil refining USB copy back to mondo (one command was
	  not executed)
	* [r1695] : No need to have the image subdor in the csratchdir when
	  USB.
	* [r1691] : - Fix PB macro vs tools/*2build issue
	  - make_usb_fs change of interface (doesn't need a parameter)
	  - Fix USB support in mondo to avoid multiple copies of files
	  - Use first partiion in mondo for USB device

2007-10-20  Bruno Cornec <bruno@project-builder.org>

	* [r1690] : Fixes for USB CLI for both mondo/mindi
	* [r1689] : Compilation fixes
	* [r1688] : Try to add USB support for mondoarchive with new
	  functions
	* [r1687] : First attempt to integrate USB support in mondoarchive
	  (may not compile)

2007-10-17  Bruno Cornec <bruno@project-builder.org>

	* [r1683] : - du => deb for similarity with other distro type under
	  pbconf
	  - migrate gento build files under pb
	  - remove now obsolete rpm spec file and gentoo build files from
	  distributions

2007-10-11  Bruno Cornec <bruno@project-builder.org>

	* [r1679] : Update ChangeLogs for upcoming 2.2.5 official release

2007-10-01  Bruno Cornec <bruno@project-builder.org>

	* [r1674] : Migrate debian build files to pb
	  Remove old build files under distributions
	  adds a simpler script setupqemu to call pb for VM setup

2007-09-28  Bruno Cornec <bruno@project-builder.org>

	* [r1668] : Try to fix the issue with large exclude list (> 1000
	  chars)
	  Some variables created after exclude_path (indirectly) were
	  not sized big enough to handle them.

2007-09-27  Bruno Cornec <bruno@project-builder.org>

	* [r1666] : - Remove useless .keep file
	  - remove temporary.iso name remaining and suppress a warning in
	  log trying to remove it in the tmpdir
	* [r1665] : miising extern bkpinfo in newt-specific.c
	* [r1664] : Attempt to fix #191 (allow edition of mountlist in
	  compare mode)

2007-09-26  Bruno Cornec <bruno@project-builder.org>

	* [r1662] : Fix bug #197 (based on an initial patch of Scott
	  Cummings)

2007-09-25  Bruno Cornec <bruno@project-builder.org>

	* [r1661] : Should remove some valgrind errors
	* [r1660] : Really fixes it
	* [r1659] : Fix a seg fault introduced by last patch

2007-09-24  Bruno Cornec <bruno@project-builder.org>

	* [r1658] : And memorise what to earse at the end
	* [r1657] : First take as tmpdir the parameter passed
	* [r1656] : Fixes missing extern function declaation for
	  setup_tmpdir
	* [r1655] : Fix a bug where df was using locale to print messages
	  and wasn't filtered correctly
	  Improve setup of tmpdir again
	* [r1654] : mkdtemp checked in configure
	  Fix bugs insetup_tmpdir
	* [r1653] : reset_bkpinfo called as early as possible by both main
	  program.
	  It creates a tmpdir cleanly with mkdtemp in setup_tmpdir
	  subfunction, which takes in account TMPIR and TMP env var.
	  Remains to see what tmpfs does and tests
	* [r1652] : Always wrokign on fixing tmpdir problems
	* [r1650] : Should compile now
	* [r1649] : Still some more erros due to the bkpinfo work
	* [r1648] : Fix remaining issue on libmondo-verify
	* [r1647] : remove bkpinfo also from header files
	* [r1646] : Remove g_bkpinfo_DONTUSETHIS
	* [r1645] : Render bkpinfo global (potential issue on thread, but
	  should not be a problem as that structure is indeed static during
	  archive)
	  Should solve the tmpdir issue from previous rev.
	  May still not compile

2007-09-23  Bruno Cornec <bruno@project-builder.org>

	* [r1644] : Apply patch from Andree Leidenfrost, modified a bit to
	  use bkpinfo->tmpdir instead of /tmp
	  or MINDI_CACHE when appropriate. Fix security issues in mondo
	  Thanks al ot Andree for catching all those issues.
	  Will not compile needs more work as bkpinfo->tmpdir isn't
	  available everywhere
	  Should become a global in 3.x when only containing pointers.

2007-09-22  Bruno Cornec <bruno@project-builder.org>

	* [r1640] : replace vi with find_my_editor during restore (Andree
	  Leidenfrost)

2007-09-13  Bruno Cornec <bruno@project-builder.org>

	* [r1636] : sync in bg in mindi (VMWare issue to look at)

2007-09-10  Bruno Cornec <bruno@project-builder.org>

	* [r1630] : Fix #195 (patch from Scott Cummings)

2007-09-07  Bruno Cornec <bruno@project-builder.org>

	* [r1622] : percent char removed from ChangeLogs (rpmlint error)

2007-09-05  Bruno Cornec <bruno@project-builder.org>

	* [r1618] : pb improvements again

2007-09-03  Bruno Cornec <bruno@project-builder.org>

	* [r1614] : Fix a compilation error

2007-09-02  Bruno Cornec <bruno@project-builder.org>

	* [r1612] : Fix #194
	* [r1611] : Fix #190 (veelo)

2007-08-01  Bruno Cornec <bruno@project-builder.org>

	* [r1586] : Fix gentoo issues again (Francesco Talamona
	  ti.liame_at_email.it)

2007-07-29  Bruno Cornec <bruno@project-builder.org>

	* [r1585] : Fix bug #187 (Scott Cummings rsc_at_usfamily.net)

2007-07-26  Bruno Cornec <bruno@project-builder.org>

	* [r1579] : Remove the useless modify_rclocal_one_time
	* [r1575] : Fix a bug in interactive mode on ia64 where lilo wasn't
	  forced.

2007-07-25  Bruno Cornec <bruno@project-builder.org>

	* [r1567] : - Version updated to 2.2.5
	  - Add support of Debian ia64 in mondo
	  - Fix mindi iso build for ia64 (test was reversed)
	* [r1563] : Improve ia64 support for SLES

2007-07-24  Bruno Cornec <bruno@project-builder.org>

	* [r1552] : Fix bugs reported in #179

2007-07-23  Bruno Cornec <bruno@project-builder.org>

	* [r1547] : - Add the possibiilty to edit in interactive mode mtab
	  and device.map for grub
	  - Remove blkid cache files after restore to avoid problems in
	  cloning mode
	* [r1546] : Fix what seems to appear a huge number of bugs in
	  hack-fstab (illustration of 1 LOC = 1 bug :-)
	  Especially improve LABEL and UUID support.
	  Should fix #185

2007-07-20  Bruno Cornec <bruno@project-builder.org>

	* [r1541] : Fix small typos

2007-07-19  Bruno Cornec <bruno@project-builder.org>

	* [r1540] : exclude_path should be 4*MAX_STR_LEN everywhere. Fixed
	  now.
	  Increasing that value will allow to having larger exclude paths.
	  Should solve bug #137 (and maybe #3 as well)

2007-07-06  Bruno Cornec <bruno@project-builder.org>

	* [r1533] : 2.2.5 created based on 2.2.4
	* [r1528] : ChangeLogs updated for upcoming 2.2.4
	* [r1526] : - Fix a problem in directory link handling in mindi
	  (seen on gentoo 64) with the precious help of Francesco Talamona
	  ti.liame_at_email.it
	  - Gentoo ebuild are now unmasked on my side

2007-06-29  Bruno Cornec <bruno@project-builder.org>

	* [r1522] : Size of DVD is 4482 (or more surely 4480 to avoid
	  problems). Fixed everywhere.

2007-06-24  Bruno Cornec <bruno@project-builder.org>

	* [r1512] : Fix a memory allocation bug where strings were freed to
	  early (Nick Hajek <Nick.Hajek_at_Vishay.com>)

2007-06-20  Bruno Cornec <bruno@project-builder.org>

	* [r1510] : - RPMBUILDMINDI => PKGBUILDMINDI
	  - /var/cache/mindi added to the build process + pkgs

2007-06-19  Bruno Cornec <bruno@project-builder.org>

	* [r1509] : - Prepare the delivery of the yum conf file from SVN
	  (instead of having static files in ftp server) (inputs from Mark
	  Nienberg)

2007-06-15  Bruno Cornec <bruno@project-builder.org>

	* [r1505] : Also computes number of media for NFS backups

2007-06-14  Bruno Cornec <bruno@project-builder.org>

	* [r1503] : Improve message around ISO directory (Patrick Albert
	  and Bryan Gartner)

2007-06-08  Bruno Cornec <bruno@project-builder.org>

	* [r1499] : ChangeLog updated
	* [r1498] : Attempt to fix completely #159
	* [r1497] : Improve ESX+vmfs support - needs testing
	* [r1496] : Attempt to fix #136 (without floppy mondorestore may
	  hang due to a mount command blocked)

2007-06-05  Bruno Cornec <bruno@project-builder.org>

	* [r1488] : Avoid to backup ocfs/ocfs2 filesystems (+ afs forgotten
	  in some places)
	* [r1485] : - mindi.conf isn't officially supported in that version
	  so man page adapted
	  - Fix a bug where MINDI_CACHE wasn't excluded from backup

2007-05-31  Bruno Cornec <bruno@project-builder.org>

	* [r1475] : Less verbosity in the sort function (reduces log file
	  and helps reading it)

2007-05-29  Bruno Cornec <bruno@project-builder.org>

	* [r1463] : Fix a spelling error (James Cameron
	  quozl_at_us.netrek.org)
	* [r1462] : mondo depends on buffer and cdrecord for the moment
	  (added in spec files) (V. Danen fixes for MDV CS 4)

2007-05-20  Bruno Cornec <bruno@project-builder.org>

	* [r1457] : No config file for mondo in 2.2.4
	* [r1453] : Fix #114
	* [r1451] : Attempt to fix #117 (all paritions are now looked at if
	  no grub or lilo found in MBR)

2007-05-18  Bruno Cornec <bruno@project-builder.org>

	* [r1448] : Fix #159 (pb with readlink and grub.conf)

2007-05-17  Bruno Cornec <bruno@project-builder.org>

	* [r1446] : Udates of ChangeLogs + mindi-busybox TAG

2007-05-15  Bruno Cornec <bruno@project-builder.org>

	* [r1439] : Unallocated space is not an error, just a warning (res
	  should not be incremented)

2007-05-10  Andree Leidenfrost <andree@debian.org>

	* [r1437] : New define 'MINDI_CACHE' set to '/var/cache/mindi'
	  rather than
	  hardcoding this in the code. Makes it easy to change the
	  location. Also
	  adjusted some of the messages related to boot floppies or CDs.
	  
	  (Also added missing debug level to log_debug() call.)

2007-05-09  Bruno Cornec <bruno@project-builder.org>

	* [r1435] : Fix bug #158 (cummings)

2007-05-07  Bruno Cornec <bruno@project-builder.org>

	* [r1406] : - Fix a Debian packaging bug
	  - Do not use mindi-boot.2880.img (which may not exist) anymore in
	  mondorestore
	* [r1404] : Adds a debuging message for image_devs for mondo
	* [r1402] : Follow up of the previous patch to place mindi iso
	  image under /var/cache/mindi instead of /root/images/mindi.

2007-05-01  Bruno Cornec <bruno@project-builder.org>

	* [r1389] : - Include conf dir for mondo
	  - Fix for Fedora (include /etc/mindi in pkg)

2007-04-30  Bruno Cornec <bruno@project-builder.org>

	* [r1383] : Still messing up with includes :-(
	* [r1382] : Typo
	* [r1381] : mr_* are not available in that branch
	* [r1380] : VERSION files updated to allow for generation
	* [r1375] : - ARCH removed from configure.in as useless
	  - addition of get_uname_m (to give the underlying arch)
	  - get_architecture now returns correctly the built arch used
	  (including x86_64)
	  - __IA32__ is defined for both i386 and x86_64. An additional
	  vdefine __X86_64__ is also setup for tha later arch.
	* [r1372] : Fix a bug in mondoarchive for UUID support of /boot
	  (only LABEL were handled)
	* [r1367] : Fix a bug for mountlist creation (UUID wasn't printed)

2007-04-29  Bruno Cornec <bruno@project-builder.org>

	* [r1360] : 2.2.4 created based on 2.2.3

2007-04-26  Bruno Cornec <bruno@project-builder.org>

	* [r1355] : ChangeLog and VERSION/Tag updated for 2.2.3 delivery
	* [r1353] : Fix a bug where bzip2 files where not considered during
	  restore (only gzip files were)

2007-04-20  Bruno Cornec <bruno@project-builder.org>

	* [r1333] : Creation of 2.2.3 based on 2.2.2 (and not stable
	  anymore - 2.X branch will stay autonomous)

2007-04-16  Bruno Cornec <bruno@project-builder.org>

	* [r1323] : compare-me is also gone in Makefile.am
	* [r1322] : Idem
	* [r1321] : Still fixing other similar changes
	* [r1320] : Other syntax fixes dur to change of meaning of
	  MONDO_LOGFILE
	* [r1319] : Another typo
	* [r1318] : Typo
	* [r1317] : libmondo-archive.c doesn't need mondoarchive.h
	* [r1316] : MONDO_LOGFILE is rather a char* exported by each main
	  program (consolidation of those mecanisms in .h files with ps_*)
	* [r1315] : Log files are now consistent: mondoarchive.log for
	  mondoarchive (containing also mindi.log) and mondorestore.log for
	  mondorestore (copied from /tmp (ram) to /var/log (disk) at the
	  end of the restore)
	  One include has been created for each bianry containing only that
	  declaration ofr the moment, but which will be extended to include
	  all local definitions (ps_* e.g.)
	  Doc updated accordingly
	  LOGFILE in restore process is now passed in the environment and
	  not duplicated anymore
	  LogIt is not redifined either
	  LOGFILE should be put in environment by mondoarchive for mindi's
	  usage but that's a step left for later.
	* [r1314] : label-partitions-as-necessary should now work correctly
	  for LABEL and UUID (grep -w removed)
	* [r1313] : Remove useless script compare-me

2007-04-15  Bruno Cornec <bruno@project-builder.org>

	* [r1309] : Restore the mondo ChangeLog accenditally erased in
	  previous ci
	* [r1308] : ChangeLogs updated
	* [r1303] : - Some FreeBSD fixes
	  - Better messages for partition names
	  - May improve the gap issue on cciss

2007-04-14  Bruno Cornec <bruno@project-builder.org>

	* [r1299] : Attempt to fix a core dumped when a Big file doesn't
	  exist and we're unable to create it (report from Nic Watson
	  mondo_at_nicwatson.org)
	* [r1298] : NFS needs the fscache module on FC6 (at least)

2007-04-11  Bruno Cornec <bruno@project-builder.org>

	* [r1296] : Update the ChangeLog
	* [r1295] : - evaluate_drive_within_mountlist is a private function
	  - support UUID in mondorestore (Improvements for #103)
	  - Fix a bug in size computation for cciss and similar devices
	  needing a p before their partition name
	* [r1294] : Fix 2 references to grep -x which are not working
	  during a restore process due to busybox limits of grep command
	  (Fix for #96)

2007-04-09  Bruno Cornec <bruno@project-builder.org>

	* [r1291] : Prepare ChangeLog for release

2007-03-28  Bruno Cornec <bruno@project-builder.org>

	* [r1279] : Fix a syntax pb (Rene Ribaud <rene.ribaud_at_free.fr>)

2007-03-26  Bruno Cornec <bruno@project-builder.org>

	* [r1274] : - Fix mkchangelog.pl compilation error
	  - Various Valgrind fixes

2007-03-22  Bruno Cornec <bruno@project-builder.org>

	* [r1262] : Compilation fixes for 2.2.2

2007-03-21  Bruno Cornec <bruno@project-builder.org>

	* [r1261] : That version has no mr_msg yet (replacing it with
	  log_msg)
	  Mandriva 2007.1 added
	* [r1260] : - ChangeLog updated
	  - More precision for an opendir error message

2007-03-20  Bruno Cornec <bruno@project-builder.org>

	* [r1253] : Fix a bug on is_this_raid_personality_registered which
	  was just plain wrong :-(
	  (report from John Pearson <johnp_at_gtagalenco.com.au>)

2007-03-19  Bruno Cornec <bruno@project-builder.org>

	* [r1250] : Fix a bug where raid5 arrays synchronizing where not
	  taken correctly in account and were leading to an error and a log
	  file saturation (Rémi BONDOIN <rbondoin_at_free.fr>

2007-03-12  Bruno Cornec <bruno@project-builder.org>

	* [r1242] : - Fix a bug for tape mangement where block size was
	  missing during extract (Michel Loiseleur)
	* [r1240] : For tape restore, there was a blocking situation where
	  mondorestore tried to eject a CD when it's useless. (Patch
	  provided by Benoit Donnette <bdonnette_at_linagora.com>)

2007-03-11  Bruno Cornec <bruno@project-builder.org>

	* [r1236] : Port from stable important patches for 2.2.2:
	  mindi-busybox:
	  - Improve Gentoo packaging
	  mindi:
	  - Better messages for analyze-my-lvm
	  - Add support for newer Qlogic drivers (qla2300 & 2400), mpt, dm
	  and ohci
	  - Fix a bug in mindi for the FAILSAFE support
	  - PATH fixed for init in restore (/usr/games added for petris)
	  - Fiw a bug where restore failing because no archive files are
	  found when -G is used
	  - /media is now completely excluded as per StandardsCompliance
	  mondo:
	  - Handle no compression + verify correctly
	  - various HOWTO fixes
	  - Fix temporarily a bug when a biggiefile > 32MB was compressed
	  below the size
	  of a slice (16MB)
	  - Better module loading in insmod_crucial_modules
	  - Improve Gentoo packaging
	  - Small typo fix for mondorestore man page
	  - Small memory management improvements
	  - Store NFS config only once
	  - Fix a flaw in libmondo-mountlist.c (there since rev [1] !!)
	  - Increased MAX_STR_LEN to 384 to make it divisible without
	  remainder by eight
	  for 64 bits platforms
	  - Fix a bug where no bzip2 format file would be found when
	  supporting gzip
	  - CentOS fixes

2007-03-08  Bruno Cornec <bruno@project-builder.org>

	* [r1229] : Create 2.2.2 from 2.2.1 (NOT stable) in order to have
	  an intermediate step before delivering a 3.0.0 version.

2007-01-14  Andree Leidenfrost <andree@debian.org>

	* [r1053] : Make functions restore_a_biggiefile_from_CD() and
	  restore_all_tarballs_from_CD() aware of gzip'ed archives. Fixes
	  restore
	  failing because no archive files are found when -G is used.

2007-01-11  Andree Leidenfrost <andree@debian.org>

	* [r1052] : Fix compiler warning about implict declaration of
	  function
	  mount_device() by putting it back into mondo-rstr-tools.h.

2007-01-02  Bruno Cornec <bruno@project-builder.org>

	* [r1022] : Slackware 10.2 support added

2006-12-31  Bruno Cornec <bruno@project-builder.org>

	* [r1019] : mondo needs mindi 1.2.1
	* [r1018] : Creation of mondo 2.2.1-
	* [r1017] : reation of mondo 2.2.1-1
	* [r1016] : Final ChangeLog update for 2.2.1
	* [r1015] : Fix a memory allocation bug in gen_aux_list (Klaus Ade
	  Johnstad)

2006-12-23  Bruno Cornec <bruno@project-builder.org>

	* [r1013] : ChangeLogs update for release delivery (2.2.1)

2006-12-11  Bruno Cornec <bruno@project-builder.org>

	* [r1003] : And same error on libmondo-verify.c
	* [r1002] : Syntax typo in libmondo-files.c
	* [r1001] : Fix a bug where grub.conf was a symlink. The pointer to
	  the link was false.

2006-12-07  Bruno Cornec <bruno@project-builder.org>

	* [r999] : Add option G to handle the gzip compression format
	* [r998] : Attempt to solve #113

2006-11-26  Bruno Cornec <bruno@project-builder.org>

	* [r981] : Update ChangeLog files for 2.2.1 delivery

2006-11-23  Bruno Cornec <bruno@project-builder.org>

	* [r958] : Fix a typo in mindi (forgotten fi)

2006-11-21  Bruno Cornec <bruno@project-builder.org>

	* [r955] : fix a difference with trunk

2006-11-19  Bruno Cornec <bruno@project-builder.org>

	* [r952] : g_getfacl|attr extern in mondo-restore.c
	* [r951] : typo
	* [r949] : Should fix #63, , and add the required interface in
	  mondorestore to handle the new way of dealing with ACLs and
	  XATTRs
	* [r948] : - mondoarchive does not backup acl+xattr by default
	  anymore
	  - Add -z option to mondoarchive to support acl+xattr backup
	  - small mindi fix
	  - this may break mondo compatibility so tests are required before
	  distributing that version.
	  - this is still incomplete as that aprameter should be passed for
	  mondorestore to know what to do.

2006-11-18  Bruno Cornec <bruno@project-builder.org>

	* [r947] : Grrr typo again
	  --Cette ligne, et les suivantes ci-dessous, serontGrr typo again
	  ignorées--
	  
	  M mondo/src/mondorestore/mondo-restore.c
	* [r946] : Busybox changelog updated to 1.2.2
	  mondorestore also needs the getfacl/attr magic var.
	* [r945] : Typos corrected
	* [r944] : getfacl and getfattr not searched everytime but only in
	  the main of mondoarchive (in link with #63)
	* [r943] : Same improvement for getfacl
	* [r942] : Small improvement on getfattr handling
	* [r941] : Fix a bug in libmondo-fifo.c where potentially no buffer
	  content could let mondo running forever in case of an exception

2006-11-13  Bruno Cornec <bruno@project-builder.org>

	* [r928] : ps (busybox) and ps (system) do not give PID in the same
	  column. Adapted with a global variable.
	* [r924] : TAG is now per package and not shared anymore + build
	  process adapted

2006-11-03  Bruno Cornec <bruno@project-builder.org>

	* [r919] : Finaly build process should be OK now.
	* [r918] : New improvement for build system. By default now try to
	  build in the rpm _topdir and check if it fails, rather than
	  creating a different directory.

2006-11-02  Bruno Cornec <bruno@project-builder.org>

	* [r916] : Fixes to support CentOS build
	  Fixes for build errors reporetd by Andy Wright
	  (mondo_at_eltofts.homelinux.com)
	* [r913] : Fix bug #89 (env var were queried too early, and not
	  ncessarily in PXE mode)
	* [r912] : Attempt to fix #66 (setfacl not existing => no error)

2006-11-01  Bruno Cornec <bruno@project-builder.org>

	* [r911] : Further removal of all instances of grep -w|-x in code.
	* [r910] : replaces grep -x by grep -E during restore as busybox
	  doesn't provide -x either
	* [r909] : Remove calls to grep -w when use in mondorestore as
	  busybox doesn't support that option. (report from Alfred Chua)

2006-10-31  Bruno Cornec <bruno@project-builder.org>

	* [r908] : Fix a bug with DVD+RW format, when mondo asks for retry
	  without success indifinitely (Mariano Aliaga
	  <maliaga_at_e-nix.com.ar>)

2006-10-27  Bruno Cornec <bruno@project-builder.org>

	* [r906] : Attempt to fix Bug #90

2006-10-24  Bruno Cornec <bruno@project-builder.org>

	* [r901] : Attempt to fix #87

2006-10-22  Bruno Cornec <bruno@project-builder.org>

	* [r899] : - src directory used in Makefile
	  - new announce
	  - fix for italian mirror
	  - first try for an x86_64 generation
	  -busybox handles modules again (should fix some bugs)

2006-10-10  Bruno Cornec <bruno@project-builder.org>

	* [r893] : - mondo depends on mindi >= 1.2.0
	  - mindi-kernel now has also a ChangeLog

2006-10-09  Bruno Cornec <bruno@project-builder.org>

	* [r889] : mv under mondo mondo to src (in line with 3.0.0 and will
	  ease patches)
	* [r888] : - Build process improved following 2.2.0 delivery
	  - Announce of 2.2.0
	  - On mandriva we need a BuildRequire on glibc-static-devel for
	  mindi-busybox
	  - Fix again a remaining bug on #25 (Thanks Michael Shapiro again
	  !)

2006-10-08  Bruno Cornec <bruno@project-builder.org>

	* [r883] : Fix a new segmentation fault introduced recently (Andree
	  Leidenfrost)

2006-10-07  Bruno Cornec <bruno@project-builder.org>

	* [r879] : Fix bonding handling this time really (M. Shapiro
	  report)

2006-10-05  Andree Leidenfrost <andree@debian.org>

	* [r877] : Use strncpy() instead of strcpy() in
	  popup_with_buttons() to avoid
	  segmentation fault for too long texts. Shorten text for pop-up
	  about
	  CD writer device accordingly.
	  
	  Also addresses Debian bug #391127.

2006-10-05  Bruno Cornec <bruno@project-builder.org>

	* [r876] : Update ChangeLogs for 2.2.0 preparation

2006-10-04  Bruno Cornec <bruno@project-builder.org>

	* [r873] : Patch from Andree tso that we create proper tmp var. to
	  be used with getenv (avoids them to be freed later on)
	* [r871] : TMPDIR used in common-env
	  Avoid mixing affectation and comparison on same line in
	  mondo-rstr-tools.c
	  (Still looking for a Seg Fault in mondorestore in PXE mode)

2006-10-03  Bruno Cornec <bruno@project-builder.org>

	* [r870] : - Checks variables berfore getting them from env during
	  restore
	  - source start-nfs to get env. Var. correctly set for
	  mondorestore

2006-09-26  Bruno Cornec <bruno@project-builder.org>

	* [r847] : Fix a bug in find command for filelist computation

2006-09-26  Andree Leidenfrost <andree@debian.org>

	* [r843] : Ensure that we leave the inner while loop when counting
	  in mr_stresc().
	  (Thanks Bruno!)
	  Use mr_stresc() to properly escape strings submitted to system()
	  in
	  gen_aux_list(). (Also fixes Debian bug #379966.)
	* [r841] : Fixed display problem in newt mode where old strings
	  weren't fully
	  overwritten which led to garbled display by improving function
	  center_string(). (This is also the fix for Debian bug #320152.)

2006-09-25  Andree Leidenfrost <andree@debian.org>

	* [r831] : Add new header mr_string.h for mr_string.c. Use
	  mr_strtok() from
	  mr_string.c and delete from libmondo-string.c. Add mr_string.c
	  and
	  mr_string.h to Makefile.am. (Follow-up to r828.)

2006-09-24  Andree Leidenfrost <andree@debian.org>

	* [r828] : Add new file with new generation string handling
	  functions.
	  (File is currently not used yet.)
	* [r827] : Check for grub.conf being a symbolic link which is the
	  case on e.g.
	  Debian and resolve accordingly in stabgrub-me to avoid GRUB
	  installation
	  error if mountlist was changed. Requires readlink which should be
	  in our
	  included busybox as of revision 822
	  [http://www.mondorescue.org/cgi-bin/trac.cgi/changeset/822].

2006-09-23  Bruno Cornec <bruno@project-builder.org>

	* [r825] : - mindi-busybox added to build process scripts
	  - RPM spec file updated with realistic content
	  - mondo spec file adapted with fedora feedback
	  (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=187318)

2006-09-23  Andree Leidenfrost <andree@debian.org>

	* [r820] : AFS support tweaking:
	  - don't scan fstab for AFS - AFS volumes don't appear in fstab;
	  - don't exclude AFS volumes per se in open_and_list_dir(), rather
	  don't
	  scan any directories that have been excluded - can generally
	  improve
	  scan times if '-N' or '-E' is used, i.e. not AFS specific (but
	  required for AFS!).
	* [r818] : Enhance the way we deal with post-nuke:
	  - ask whether post-nuke should be executed if it exists even if
	  we are
	  not in nuke mode;
	  - log the fact that no post-nuke script was found during restore;
	  - perform after nuke steps even if we dropped back to interacive
	  mode
	  because of issue with mount list;
	  - ask user after nuke to wait until s/he is returned to command
	  prompt
	  before rebooting;
	  - use run_program_and_log_output() instead of system() to get
	  output of
	  post-nuke logged;
	  - output screen messages about post-nuke.
	* [r816] : Evaluate errno after popen in space_occupied_by_cd() and
	  in case of an
	  error create a log entry and return 0 as size.

2006-09-23  Bruno Cornec <bruno@project-builder.org>

	* [r814] : removed useless tcurr now
	* [r813] : Takes Andree's idea to create rather a mr_date()
	  function, that could be put in a lib file later on if we need it
	  elsewhere (first candidate would be mondorestore :-)
	* [r812] : Fix a bug whete /tmp was hardcoded for ntfsclone usage,
	  creating a problem for an attempt to use mondo with a live CD.
	  (reported by Dale Tronrud <det102_at_uoxray.uoregon.edu>)

2006-09-23  Andree Leidenfrost <andree@debian.org>

	* [r811] : Added an icon for use in menus etc.
	* [r810] : Fix new time stamp log feature:
	  - use ctime() which gives human-readable time output rather than
	  get_time() which gives seconds since epoch (also fixes
	  segmentation
	  fault caused by get_date() returning long and out being %s);
	  - unlink the log _before_ start time is written to it so we don't
	  lose it
	  - call it 'time' rather than 'date' plus some cosmetics
	* [r809] : Turn assignment into comparison when evaluating the
	  paths to exclude.

2006-09-22  Bruno Cornec <bruno@project-builder.org>

	* [r807] : Fix a bug in Debian build system for mindi (variables
	  needs to be system like not build env like) (reported by Martin
	  A. Brooks <mbrooks_at_fotango.com>)
	* [r806] : Attempt to Fix #33
	* [r805] : Atempt to fix bug #14
	* [r804] : Attempt to fix #6
	* [r802] : Attempt to fix bug #25

2006-09-21  Bruno Cornec <bruno@project-builder.org>

	* [r801] : Should fix bug #21 by exporting variables from start-nfs
	  and overriding values in mondo-rstr-tools.c with thee exports
	* [r799] : Replace a useless message by a more useful

2006-09-16  Andree Leidenfrost <andree@debian.org>

	* [r797] : newt-specific.c:
	  Fixed compile error by removing superfluous quotes in
	  kill_anything_like_this().
	  
	  libmondo-fork.c:
	  Fixed compiler warning on 64bit platforms regarding the output of
	  the
	  result of ftello() by casting it to long long (and it's actually
	  signed).
	  
	  libmondo-fifo.c:
	  Added %s for ps_options in kill_buffer(). Also fixes compiler
	  warning.

2006-09-13  Bruno Cornec <bruno@project-builder.org>

	* [r792] : Fix Bug #24
	  - Introduce kill_anything_like_this as a function instead of
	  define
	  - Add an external variable ps_options whose value is empty in
	  restore and auxww in archive
	* [r787] : AFS support added

2006-09-03  Bruno Cornec <bruno@project-builder.org>

	* [r785] : Trac is now accessible with the simpler URL
	  http://trac.mondorescue.org

2006-08-12  Bruno Cornec <bruno@project-builder.org>

	* [r781] : - Gentoo build now correct
	  - 4 articles kept on frontpage
	  - New announces made
	  - Build process optimized agin and again :-)

2006-08-08  Bruno Cornec <bruno@project-builder.org>

	* [r770] : gentoo build improvements

2006-08-07  Bruno Cornec <bruno@project-builder.org>

	* [r763] : - Remove Berlios references where obsolete
	  - Improve mindi patch for LVM on Debian
	  - bzip2 now created during svn2build, and used later by othe
	  scripts (rationale: done once and used now a lot)
	  - Fix a patch for mkannounce
	* [r761] : - spec file should not use TAG for Source file name
	  anymore
	  - Fix a URL problem for gentoo packages
	  - Fix autorun installation and mode (bug found by SuSE)

2006-08-06  Bruno Cornec <bruno@project-builder.org>

	* [r755] : - Use _defaultdocdir instead of RPM_DOC_DIR for doc
	  built
	  - %doc in spec files reviewed
	  - Log file for all build scripts
	  - Fix a bug for ebuild
	  - src file is now name-verion.tar.gz (without TAG)
	  - deb pkgs should now be copied on ftp server
	  - Fix 2 warnings in mondo
	  - Fix a bug introduced for LVM on Debian hopefully
	  - Fix a bug on old distros where mktemp needs a template

2006-08-05  Bruno Cornec <bruno@project-builder.org>

	* [r746] : - Still trying to fix LABEL + LVM in mindi
	  - Removed some X11 files remaining
	  - remove some ps options not available with busybox
	  - Use LOGFILE constantly in init & LogIt

2006-08-04  Bruno Cornec <bruno@project-builder.org>

	* [r744] : With that version mindi --makemountlist works for RHEL4
	  + LVMv2 + LABEL
	* [r743] : The latest interface modification on start-nfs imply
	  that mondo >= 2.0.9 requires now mindi >= 1.0.9

2006-08-03  Andree Leidenfrost <andree@debian.org>

	* [r738] : Fixed compiler warnings on amd64 (and likely 64bit in
	  general):
	  - "cast to pointer from integer of different size" by making
	  relevant
	  variables long rather than int which gives 32bit on i386 and
	  64bit on
	  amd64;
	  - "cast from pointer to integer of different size" by casting to
	  long
	  rather than int for same reasons.

2006-08-03  Bruno Cornec <bruno@project-builder.org>

	* [r737] : Big NFS+PXE migration: start-nfs is not created by
	  mondoarchive, but on the fly by init during restore. This allows
	  more flexibility to restore through NFS a backup created on disks
	  e.g. and simplify code.

2006-07-31  Bruno Cornec <bruno@project-builder.org>

	* [r732] : - More tests on gentoo packaging. Still not there but
	  much better
	  - Fix a pb on debian mondo-doc

2006-07-30  Bruno Cornec <bruno@project-builder.org>

	* [r730] : Changelog ready for 2.0.9/1.0.9 delivery
	* [r728] : Changelog for 2.0.9 (begin)

2006-07-29  Bruno Cornec <bruno@project-builder.org>

	* [r724] : Also using bzip2 for SuSE based RPMS (Lars proposal)
	* [r723] : Build RPMS modified again for TAG

2006-07-28  Bruno Cornec <bruno@project-builder.org>

	* [r722] : Remove TAG also from SPEC files
	* [r719] : Re-introduce defattr to have correct uid/gid for RPMS
	  (Bishop.Clark_at_gov.bc.ca)

2006-07-25  bcornec

	* [r716] : Review of obsoletes and provides following discussion on
	  cooker.
	  For Mandriva and Debian will make 2.0x waiting for 3.0.0

2006-07-23  bcornec

	* [r714] : Guess what ;-)
	* [r713] : autorun again
	* [r712] : autorun always
	* [r711] : Still on autorun
	* [r710] : Try to fix autorun issue
	  Try to fix version name in changelogs
	* [r709] : autorun shold be executable so under pkgdata_PROGRAMS
	  now (rpmlint error)

2006-07-22  Andree Leidenfrost <andree@debian.org>

	* [r706] : Fix screen corruption during restore in 'Configure LVM'
	  phase:
	  * Removed superfluous echo command in analyze-my-lvm.
	  * Removed superfluous (and wrong) vgremove_sz command in
	  mondo-prep.c.
	* [r705] : Fixed bug where image partitions (e.g. NTFS) would
	  change size if Ok was
	  pressed in edit mountlist item dialog.
	* [r704] : Check whether RAID sync is delayed for partition
	  _before_ opening sync
	  pop-up to avoid screen corruption in mondorestore's newt mode.

2006-07-21  bcornec

	* [r702] : - Exclude mvfs type of filesystem (ClearCase) from mondo
	  backup completely.
	  - RMLL announce
	* [r697] : Manages Obsoletes for Suse (Lars Rupp suggestion from
	  SUSE)
	* [r696] : Manages obsoletes for Mandriva to make update work.
	* [r695] : Remove slang requires as they are brought by newt
	  (fedora suggestion)
	* [r694] : Indication for users of IDE burners and 2.6 kernels
	  (Suggestion from Moriarity, Christopher <cdm7_at_cdc.gov>
	* [r693] : Attempt to fix bug #7421 Unable to backup filenames with
	  pattern *\'*
	  (https://developer.berlios.de/bugs/?func=detailbug&bug_id=7421&group_id=2524)
	  by adding a test on ' detection and launching the popen with "
	  instead.
	  The real problem here is the usage of popen which should be
	  avoided for that.
	* [r691] : Busybox's df doesn't support -P.
	  Looking for a bug where e2label not called in nuke mode but not
	  found yet, except if it's related to that problem. (seen in the
	  logs)

2006-07-06  Andree Leidenfrost <andree@debian.org>

	* [r686] : Doubled MAX_TAPECATALOG_ENTRIES to 8192 and increased
	  bkpinfo->optimal_set_size to 16MB for both streaming and
	  non-streaming
	  backups to avoid problem where afio says 'No space left on
	  device'
	  because we've run out of tape catalog entries.
	  
	  Note that this is a temporary measure which will be replaced by
	  dynamic
	  memory configuration soon(ish).
	  
	  This is also the fix for Debian Bug #369321. Further details can
	  be
	  found there.
	* [r685] : Only ask "Is your computer a laptop, or does the CD
	  writer incorporate
	  BurnProof technology?" if the device to archive to is NOT a DVD
	  writer
	  because it is not needed in this case but rather gives an error
	  because
	  growisofs does not support the '-m' switch. See also check and
	  comment
	  in libmondo-tools.c saying "// -m isn't supported by growisofs,
	  BTW...".

2006-06-26  bcornec

	* [r684] : Attempt to fix Bug #7820 Does not backup a file greater
	  than 2 GB
	  Report from taps23@yahoo.com
	  Changed legnth_of_file to off_t for ftello support and all
	  relative changes made as well in various functions to be
	  consistent

2006-06-25  bcornec

	* [r683] : Preparation for 1.0.9/2.0.9
	  Add packman in links for website

2006-06-25  Andree Leidenfrost <andree@debian.org>

	* [r681] : Replaced all occurrences of egrep with 'grep -E' and of
	  fgrep with
	  'grep -F' in mondo.
	  egrep and fgrep are usually just script wrappers around grep
	  these
	  days which means additional overhead compared to calling grep
	  with the
	  relevant option. Also, it appears that egrep and fgrep have been
	  deprecated by POSIX some time ago.
	* [r680] : Replace occurrences of 'grep -v ... | grep -v ... | ...'
	  with 'grep -Ev
	  ...' for efficiency reasons and to ease trouble-shooting.
	  
	  This also fixes Debian bug #222052.
	* [r679] : Avoid false alerts about growisofs not running under
	  sudo. This is
	  achieved by examining the growisofs binary and searching exactly
	  one
	  occurrence of the string SUDO_COMMAND. This test is designed to
	  avoid false positives. Note that this check is only required for
	  growisofs and not for other tools that may be used in the future
	  to
	  write DVDs.
	  
	  To enhance usability, the associated error message will now also
	  appear
	  in a pop-up rather than just as part of a bunch of diagnostics
	  output on
	  the command line.

2006-06-24  bcornec

	* [r678] : Fix a bug in analyze-my-lvm for RHEL3 where vgdisplay
	  prints an additional field sometimes (#). Report and proposal by
	  severine.lombardo_at_acoss.fr
	* [r677] : Increase PPCFG_RAMDISK_SIZE to 350 MB to avoid some bug
	  reported when doing full backups with big disks (Thomas Börkel)

2006-06-21  bcornec

	* [r676] : Removed useless mondo-makefilelist (Andree Leidenfrost)

2006-06-11  Andree Leidenfrost <andree@debian.org>

	* [r671] : Replaced *pos++ and *pos-- with pos += 1 and pos -= 1,
	  respectively.
	  Fixes gcc 4.1.2 warnings 'warning: value computed is not used'.
	  (Really
	  I think the warnings are bogus, but I wanted to get rid of them
	  and the
	  changes do not do any harm.)
	* [r670] : Do the usual strcpy() and paranoid_free() after first
	  asprintf() in
	  parse_mdstat() to avoid segmentation fault.
	* [r669] : Removed cruft from prepare_filelist() including variable
	  p_res. Fixes
	  gcc 4.1.2 warning 'warning: value computed is not used'.
	* [r668] : Explicitely terminate token after strncpy() in
	  mr_strok() as strncpy()
	  does not do this. Fixes mdstat parsing errors.
	* [r667] : Removed strcmp() call which wasn't evaluated from
	  open_device_via_buffer(). Fixes gcc 4.1.2 warning 'warning:
	  statement
	  with no effect'.

2006-06-10  bcornec

	* [r665] : 2.0.8-4 preparation
	* [r662] : nfsmount parameter added to allow redeployment from
	  another NFS server (in PXE mode)

2006-06-09  bcornec

	* [r659] : changelog are now generated from mindi's and mondo's
	  main ChangeLog files
	  new tool to create automatically announces for new version-tag
	  news.shtml and latest-news.html are now generated from a DB of
	  announce (SQLite)
	  announce DB added (SQLite v3)
	  Build process improved for Debian

2006-06-08  bcornec

	* [r653] : Again a small bug in the PXE/DHCP support part

2006-06-07  bcornec

	* [r637] : All dates for changelogs are now OK
	* [r636] : First attempt to automize changelog generation for
	  packages from the std ChangeLogs files from mindi/mondo
	* [r635] : Preparation for 2.0.8-3 (Changelog updated)
	* [r633] : - Fix a bug in -I and -E handling !!
	  - mknewtag now checks that Changelog are up to date
	* [r629] : - Fix a bug in common-env around umask too restrictive
	  - Fix permissions for autorun
	  - 2.0.8-2 now in Web pages

2006-06-03  bcornec

	* [r622] : Typo in my tree again

2006-06-03  Andree Leidenfrost <andree@debian.org>

	* [r620] : Fixed parsing of DHCP information in start-nfs script.
	* [r619] : Fixed trivial syntax error in store_nfs_config().

2006-06-02  bcornec

	* [r617] : Changelog updated for 2.0.8-2
	  mknewtag is now working
	* [r610] : CAUTION: This patch breaks the PXE interface through the
	  ipconf option
	  It adds thepossibility to precise the NIC name through ipconf as
	  first parameter.
	* [r607] : Replace again a Hugo by a dev team

2006-05-31  bcornec

	* [r605] : 2.0.8 announce + last redhat 7.3 fix
	* [r603] : Fix for RedHat 7.3 compiler. declarations should happen
	  earlier.

2006-05-29  bcornec

	* [r585] : Hugo => Dev Team

2006-05-28  bcornec

	* [r581] : mindi debian configuration files provided by Andree
	  Leidenfrost

2006-05-27  bcornec

	* [r580] : Debian configuration files added (Andree Leidenfrost)

2006-05-25  bcornec

	* [r575] : Prepare Changelogs for 2.0.8 delivery

2006-05-23  bcornec

	* [r572] : gentoo build continued
	  mindi bug found due to a previous bug corrected (5.6 MB disks
	  generated systematically):
	  - when a disk less than 2.8 MB can be built,
	  not enough modules are put on it to support SCSI cds
	  (use of FLOPPY_MODS only). I added most CDROMs modules
	  in order to support them.

2006-05-22  bcornec

	* [r568] : mondo-doc spec should work better and install target
	  mondo.spec avoids duplicates
	  documentation corrected (thanks Conor)

2006-05-20  bcornec

	* [r567] : Same for mondo: setup modes correctly in SVN and get rid
	  of %attr an %defattr in spec files to get correct packages
	* [r565] : strtok wasn't completely replaced :-(
	* [r560] : memmove removed for raid management in favour of
	  asprintf
	* [r559] : strtok removed in favour of mr_strtok
	* [r558] : Andree Leidenfrost adds mdadm/dm support. Hurray !
	  Of course I omit to mentioned that the previous patch was already
	  his work. (mr_strtok)
	* [r557] : Addition of a mr_strtok function in mr string livrary.
	  Will allow parse_mdstat integration, and also usage by other
	  functions.
	  Tested with valgrind - memory management OK

2006-05-18  bcornec

	* [r556] : mondo-doc should now generate

2006-05-17  bcornec

	* [r555] : tag also used during setup phase in .spec
	* [r554] : Add new tag variable in spec and corresponding TTT macro
	  in m4 files for filename correct handling during build
	* [r553] : Build process in 3 steps:
	  svn2build creates tar files from SVN (works mostly)
	  build2pkg creates packages from tar files (works mostly)
	  build2qemu (has to be created from mkqemu) will create packages
	  for all supported virtuel machines

2006-05-16  bcornec

	* [r552] : Suse needs changelog also

2006-05-14  bcornec

	* [r550] : Cleanup in build process continue
	  - removal of most small scripts
	  - based on one main svn2build script
	  - spec files reviewed for fedora remarks
	  - changelog and TAG integrated

2006-05-13  bcornec

	* [r545] : revert to 543
	* [r543] : stable is now at same level as 2.0.8 (r538)
	* [r542] : merge -r436:517 $SVN_M/branches/2.0.7
	  stable is now again at 2.0.8 initial
	* [r541] : Stable is reverted to r436 (2.0.7) to put it in line
	  with 2.0.8 and start from there over
	* [r538] : Begining of modifications => DOS NOT WORK FOR NOW.
	  This is done to be merged in trunk. stable will later point back
	  to current 2.0.8 content
	  
	  Use of mindi conf file in mindi + /var/cache/mindi as a default
	  place
	  Use of mondo conf file in mondo + separation of messages.
	  Ultimate goal is to have a cleaner design of files vs functions.

2006-05-11  bcornec

	* [r534] : Cleanup
	* [r533] : Intl in autoconf build process
	* [r532] : Fix a bug in rpm generation
	  Adds mondo conf file
	  Remove useless mondo-makefilelist
	  Rudimentary Script for the test env.
	  Preparation of the separation of log_msg function in a standalone
	  file
	  Pass sysconfdir variable from configure system to mondoarchive to
	  find conf file
	* [r531] : Introduction of new functions in mondorescue library to
	  handle the new configuration files developped for mondo/mindi
	  As well a rudimentary test suite was developped to test these
	  functions
	  valgrind usage revealed no memory leak.
	  These 2 methods will be further extended to the rest of mr.

2006-05-08  bcornec

	* [r530] : Build process reviewed once more :
	  gentoo integration
	  slackware integration
	  mkqemu should only work with tar files, and not SVN (ease VM
	  build and time in build process)
	  To be continued
	  
	  DOES NOT WORK AT THE MOMENT
	* [r529] : Updates to please fedora distro

2006-05-04  bcornec

	* [r522] : Intl: complementary patch from Rene-Marc Dolhen
	  <rmd_atmecreant.org>

2006-05-01  bcornec

	* [r520] : complete r514 in mondo-cli so that exclude|include_path
	  are not truncated too early

2006-04-30  bcornec

	* [r514] : Increase include|exclude_path (multiply x4) to avoid
	  some reported bugs
	* [r511] : svn merge -r457:459 $SVN_M/branches/2.0.7
	* [r508] : More cleanup for intl
	  Should fix this time the doc bug

2006-04-29  bcornec

	* [r504] : .mo message files are now part of the rpm
	* [r503] : intl fix
	* [r502] : Internationalization: gettextize is an unfriendly tool
	  that you can't invoke non-interactively.
	  So we now copy it, hack it to make it non-interactive, and run
	  it, then delete it.
	  Everything in bootstrap.
	  Should end the Internationalization patch integration
	* [r501] : - Internationalization follow up
	  - X11 remaining files suppressed

2006-04-28  bcornec

	* [r500] : Internationalization follow up

2006-04-27  bcornec

	* [r499] : intl cont.
	* [r498] : internationalization going on
	* [r497] : Integration of a big patch from rene-marc dolhen
	  <rmd_at_mecreant.org> to support internationalization with
	  gettext.

2006-04-18  bcornec

	* [r487] : -Wall is now the rule
	* [r486] : Add -D_GNU_SOURCE for build to avoid compiler warning

2006-04-16  Andree Leidenfrost <andree@debian.org>

	* [r484] : Fixed verify for NFS by swapping nfs_remote_dir and
	  isodir when
	  assembling name for image file to verify.

2006-04-14  Andree Leidenfrost <andree@debian.org>

	* [r482] : setenv_mondo_lib() is now setenv_mondo_share(), relect
	  this in the
	  header files as well.

2006-04-12  bcornec

	* [r478] : typo
	* [r477] : typo
	* [r476] : Attempt to fix a bug when restoring interactively and
	  having file names with blank in their names
	* [r474] : Do not force lilo boot loader for SuSE != 9.0

2006-04-10  bcornec

	* [r470] : Add Provides: entry for Mandriva RPM update to handle
	  the lack of libmondo

2006-04-08  bcornec

	* [r465] : options -I and -E of mondoarchive were not working. Now
	  fixed

2006-04-04  bcornec

	* [r464] : Addition of changelog for rpms
	  qemu usage is now more precise
	  qemu script now kill vm after a certain amount of time (mandrake
	  needs that)

2006-04-02  bcornec

	* [r460] : merge -r 453:456 $SVN_M/branches/2.0.7 (delivery process
	  adapted for 2.0.7)

2006-03-22  bcornec

	* [r452] : Fix a generation bug for rh73 (i386-redhat-linux prefix
	  for binaries)

2006-03-20  bcornec

	* [r449] : mindi.conf created and use in mindi + install.sh + rpm

2006-03-16  bcornec

	* [r445] : Fix a bug for where to find spec file (family was
	  incorrect)
	  mondo depends on mindi > 1.0.7

2006-03-05  Andree Leidenfrost <andree@debian.org>

	* [r433] : Removed 'ax' options from ps call when checking for
	  ntfsclone is still
	  running - busybox 1.1.0 ps doesn't like them and we don't need
	  them.

2006-02-23  bcornec

	* [r427] : - Changelog updated for 2.0.7 delivery
	  - busybox (net) is 1.1.0 offcial + config file in accordance

2006-02-22  bcornec

	* [r425] : Applied Andree's patch to remove commercials :-)

2006-02-21  bcornec

	* [r424] : mondo now uses /usr/share for the restore-scripts
	  (/usr/lib should contains binary only) - this also makes rpmlint
	  happier
	* [r423] : - .spec files adapted to make rpmlint happy
	  - no more dyn. libs in mondo
	  - no more the X11 part in mondo

2006-02-20  bcornec

	* [r415] : - support for files > 2GB is now part of the main
	  source, and not only in the RPM
	  - patch from Andree around fseek to support that as well

2006-02-20  Andree Leidenfrost <andree@debian.org>

	* [r411] : Cleanup after ntfsclone is done: remove fifo created in
	  /tmp.

2006-02-17  bcornec

	* [r402] : - RPM build for mondo doc recoded
	  - Tag for documentation, man pages
	  - Include a patch from SuSE RPMs for mondo
	* [r401] : - Integrate some SuSE patches and spec tips
	  - all the doc is now under documentation (man pages, pdf,
	  generated doc)
	  - delivery process adapted consequently
	* [r399] : - man pages reviewed
	  - pdf, ps, txt and html generated from man pages and published on
	  the Web
	  - Bob is in the thanks page for 2nd DNS server

2006-02-15  bcornec

	* [r395] : Fix a warning in mondo
	  New RPM Build env working

2006-02-15  Andree Leidenfrost <andree@debian.org>

	* [r392] : Made it so that mondoarchive aborts when 'mindi
	  --findkernel' gives a
	  fatal error and outputs mindi's fatal error message in a newt
	  popup.
	  This should help making it easier for users to get to the core of
	  the
	  problem in case mindi fails.
	  (See also Debian bug #352323.)

2006-02-14  bcornec

	* [r390] : New location for the future conf file in the SVN
	* [r388] : RPMs are now made with a .spec containing m4 macros
	  expanded with tools/mkrpm
	  this allows for a simpler spec file at the end,
	  which should be suited for at least Mandriva official packages.
	  Added a new mkspec tool which does the expansion
	  This way of dealing with distributions will be used is some other
	  areas in the future

2006-02-12  Andree Leidenfrost <andree@debian.org>

	* [r375] : First try standrad grub-install in grub-MR restore
	  script before trying
	  anything fancy. This fixes issue with amd64 Debian system not
	  being
	  bootable after restore but may apply to other amd64 distros as
	  well.

2006-02-10  bcornec

	* [r367] : Docs are not part of the RPMs anymore

2006-01-23  bcornec

	* [r344] : Preliminary creation of a mondorescue configuration file

2006-01-20  bcornec

	* [r341] : Remove docs subdirs from the autoconf build
	* [r339] : This version is stable so VESION files updated

2006-01-19  bcornec

	* [r338] : Documentation management:
	  - old HTML doc suppressed from mondo tree
	  - new doc generated on the fly during build of packages
	* [r336] : merge -r333:335 $SVN_M/branches/2.06
	  Last merge from 2.06 normaly.
	* [r333] : Create the stable branch from 2.06 which is now in
	  maintenance mode only
	* [r332] : /tmp was excluded systematically, which s a bad idea.

2006-01-14  bcornec

	* [r318] : - spec files are now under distributions as well
	  - rpm build process revised accordingly

2006-01-13  bcornec

	* [r316] : Preparation to support official mandriva builds
	* [r315] : - svn.log now part of the rpms
	  - .spec factorisation continues (mkrel, requires, ...)
	* [r313] : spec file generation adapted (RRR used for revision,
	  suffix now has the '.', Group is now a variable)

2006-01-12  bcornec

	* [r307] : preliminary gentoo support added
	* [r305] : use df -P everywhere to avoid split lines on df output
	  and some bugs

2006-01-11  Andree Leidenfrost <andree@debian.org>

	* [r296] : Replaced partimagehack with ntfsclone from ntfsprogs
	  package. Replaced
	  all occurrences of strings 'partimagehack' and 'partimage' with
	  'ntfsprog'.

2006-01-10  bcornec

	* [r294] : - removed microwerks references
	  - document changelogs
	* [r289] : Abort when one of the include dirs (-I) does not exist
	  (bug reported by jeff@jlsworld.com)
	  A warning is also logged for the -E option

2006-01-04  Andree Leidenfrost <andree@debian.org>

	* [r279] : Add the actual format to messages after calls to
	  function
	  is_this_a_valid_disk_format() about unsupported formats.

2006-01-03  bcornec

	* [r277] : replaced sort | uniq with sort -u
	* [r275] : more cat commands removed
	* [r273] : Patches from Sébastien Aperghis-Tramoni
	  <maddingue@free.fr>
	  
	  replace several occurences of "cat .. | grep .."
	  or with similar commands that accept filenames as arguments.
	  + some sort | uniq replaced by sort -u

2005-12-30  Andree Leidenfrost <andree@debian.org>

	* [r271] : Replace the contents of the README files for mondo and
	  mindi with
	  something hopefully slightly more useful.
	  Given that MondoRescue hosting is in a state of flux, I'll be
	  happy to
	  update things once the dust has settled (or before if required).
	* [r268] : Delete empty FAQ.

2005-12-27  bcornec

	* [r267] : - CHANGES renamed also in install.sh now
	  - Bug fix for chown in install.sh (JeffS)

2005-12-23  bcornec

	* [r264] : Create mondo 2.06 and mindi 1.06
	* [r263] : Create 1.06/2.06 from 2.05-r262
	* [r261] : ChangeLog updates for 1.06/2.06 publication
	  CHANGES of mindi renamed as ChangeLog (GNU std)
	* [r260] : typo
	* [r259] : MONDO_LIB is declared only for common level so fucntion
	  is created in libmondo-archive.c instead of direct call in main.
	* [r258] : - Better log messages for mindi (\n added where needed)
	  - MONDO_HOME removed to use MONDO_LIB
	  - MONDO_LIB set by mondoarchive

2005-12-22  bcornec

	* [r256] : - PXE doc improved
	  - interactive mode now asks for image size in NFS mode

2005-12-21  bcornec

	* [r253] : Typo
	* [r251] : - iso-prefix should be read in iso mode even when -H not
	  given (Stan Benoit)
	  - prefix is also asked interactively for nfs mode (Bruno Cornec)
	  - PACKAGE_VERSION used instead of VERSION for
	  mondo{archive,restore} (Bruno Cornec)

2005-12-20  bcornec

	* [r249] : Addition of the Makeile.am needed by post-nuke.sample
	* [r248] : align mindi.spec to mondo.spec after sles9 changes
	* [r247] : - fix automake bug for post-nuke.example (creation of
	  the Makefile.am)
	  - fix sles9 build for mondo (remove of extra doc)
	* [r246] : revert r245
	* [r245] : post-nuke.sample is now handled as autorun (sles9 bug on
	  post-data-hook)
	* [r241] : - Fix bug in post for mindi (no chmod needed on
	  symlinks) (Sébastien Aperghis-Tramoni)
	  - sles9 adaptations for mindi (DOCDIR) (Bruno Cornec)
	  - remove useless cat in init (Sébastien Aperghis-Tramoni)
	  - remove dependency on cdrecord for mondo RPMS (Bruno Cornec)

2005-12-19  bcornec

	* [r239] : VERSION files added to SVN repository
	* [r237] : - single place for VERSION numbers in mondo and mindi
	  (Bruno Cornec)
	  - revision taken from global tree, not from files for mindi/mondo
	  tagging (Bruno Cornec)
	  - chown can't be done for RPMS in install.sh

2005-12-17  bcornec

	* [r234] : in PXE mode add 2 switches :
	  ping=[number of ping before mounting] (Sébastien
	  Aperghis-Tramoni)
	  ipconf=ipaddr:netmask:broadcast:gw (Bruno Cornec)
	* [r233] : sles9 rpm build support
	* [r231] : -o nolock added for interactive NFS restore, as it
	  doesn't work without (we have no portmap)

2005-12-15  bcornec

	* [r222] : Fix bug in default gw computation
	* [r218] : VERSION is now correct
	* [r217] : VERSION is short PACKAGE_VERSION is long
	* [r216] : Correct a reference to a bad autoconf var
	* [r215] : Version correctly handled for mondo now
	* [r213] : removed AuX_VER
	  removed g_version
	  use only VERSION from config.h
	  add $Rev$ to VERSION

2005-12-14  bcornec

	* [r206] : No X11 dependency for mondo build

2005-12-13  bcornec

	* [r196] : Usage of parted2fdisk instead of fdisk everywhere.
	  on ia64 this is mandatory, and simplifies the infrastructure
	  on other archs, it doesn't change anything as parted2fdisk here
	  is a link to fdisk
	* [r195] : remove nice of mondoarchive + Changelogs update
	* [r192] : Fix a bug for route results (Sébastien Aperghis-Tramoni
	  <maddingue@free.fr>)
	* [r187] : improvement for RPMs
	* [r184] : small typos
	* [r182] : disable x11 build by default
	  g_mondo_home is now computed at compile time with a define

2005-12-12  bcornec

	* [r179] : New locations for mondo and mindi:
	  
	  for distros for file base install
	  -------------------------------------------------------------------------
	  /usr/sbin/mindi /usr/local/sbin/mindi
	  /usr/sbin/analyze-my-lvm /usr/local/sbin/analyze-my-lvm
	  /usr/sbin/mondoarchive /usr/local/sbin/mondoarchive
	  /usr/sbin/mondorestore /usr/local/sbin/mondorestore
	  /etc/m?nd? /usr/local/etc/m?nd?
	  /usr/share/doc/m?nd?* /usr/local/share/doc/m?nd?*
	  /usr/share/man/man8/m?nd?*.8 /usr/local/share/man/man8/m?nd?*.8
	  /usr/lib/m?nd? /usr/local/lib/m?nd?
	  
	  (mondo needs to be finished - untested yet)
	* [r178] : sbminst in mondo is the Smart Boot Manager
	  (http://btmgr.webframe.org/).
	  It takes up 63KB of space, hasn't had an update upstream in five
	  years,
	  isn't used in MondoRescue as far as I can tell - certainly it
	  wasn't in
	  the Debian package for at least about 18 months without any known
	  side
	  effects. (Andree Leidenfrost)

2005-12-09  bcornec

	* [r175] : contributers review in mondoarchive.8

2005-12-08  bcornec

	* [r174] :
	* [r172] : preparation of ChangeLog for 2.06

2005-12-08  Andree Leidenfrost <andree@debian.org>

	* [r169] : Fixed issue where mondoarchive ejects CD/DVD despite
	  writing iso images.
	* [r167] : Consistently use get_phys_size_of_drive() to determine
	  the maximum
	  amount of data to be read in slice_up_file_etc().
	  
	  See also Debian bugs #318694 and #273980.
	* [r165] : Add -P option to df call to ensure that partition names
	  are correctly
	  extracted when devfs is used.
	  
	  Patch provided by Chuan-kai Lin - thank you!
	  
	  See also Debian bug #295592.
	* [r163] : Make it so that the -B option script does run even if
	  specified in
	  conjunction with the -m option (manual CD tray).
	  
	  Based on a patch by Efraim Feinstein - thank you!
	  
	  See also Debian bug #278000.
	* [r161] : Avoid overwriting the already correctly determined disk
	  size by moving
	  the relevant code inside the if clause that checks the validity
	  of the
	  previously calculated disk size.
	* [r159] : Quadrupled ARBITRARY_MAXIMUM from 500 to 2000 to reduce
	  the likelihood
	  of not all files being displayed in mondorestore's filebrowser.
	  See also Debian bug #275385.

2005-12-08  bcornec

	* [r157] : Prepare changelogs for 2.06/1.06 release

2005-12-07  Andree Leidenfrost <andree@debian.org>

	* [r155] : Advertise the fact that mindi has failed more
	  prominently by using
	  function popup_and_OK() rather than log_to_screen() in function
	  call_mindi_to_supply_boot_disks().
	* [r154] : Evaluate errno to find out whether an external command
	  succeeded or not
	  in function run_program_and_log_to_screen(). This ensures amongst
	  other
	  things that we terminate if mindi fails rather than happily
	  continuing
	  and throwing an incomprehensible error later down the track
	  because no
	  floppy images exist.
	* [r153] : Added check for sudo when writing DVDs and terminate if
	  sudo used
	  because growisofs does't support sudo.
	* [r152] : Fix two compiler warnings:
	  - intialise variable 'incoming' (mondo-rstr-tools.c)
	  - only define structure 'buf' if architecture is IA64
	  (libmondo-devices.c)

2005-12-02  bcornec

	* [r148] : - Bug on USB keyboard corrected
	  - PXE mode reviewed (netmask and route management added in
	  start-nfs)
	  - -p option with PXE doesn't require a parameter anymore and it
	  now works with the parameter
	  - -p option should work correctly with iso and nfs modes
	  - cosmetic messages improvement for mindi
	  - use STD_PREFIX

2005-11-29  bcornec

	* [r144] : Found the coredump generated due to an error in the
	  application of a previous patch.
	* [r143] : mondoarchive is currently core dumping :-(
	  Revert back one of the 'cat' patches.

2005-11-27  bcornec

	* [r141] : cifs added to SANE_FORMATS
	  ';' removed in start-nfs

2005-11-25  bcornec

	* [r139] : Here is a fix needed to restore mondo backups on md-raid
	  systems;
	  grub seems to always exit with 0, even when some commands failed.
	  (Philippe De Muyter <phdm_at_macqel.be>)

2005-11-22  bcornec

	* [r132] : Fix bugs for cifs support

2005-11-19  bcornec

	* [r128] : indent on all the C code
	* [r126] : This patch avoids useless invocations of `cat <file> |'
	  where the second
	  process in the pipe can more efficiently read its input file
	  itself.
	  It replaces also some `grep'+`sed' commands by an unique `sed'
	  command.
	  This patch also improves readability of shell commands by
	  replacing \" by ' where possible.
	  This patch instructs mondo to say `DVD' instead of `CD' when
	  appropriate.
	  This patch forces growisofs to use speed=1 for DVD burning. In my
	  experience, DVD burning time is only a small part of the total
	  backup
	  time so this should not make a big difference in backup time, but
	  a big one in reliability of mondo. On my installation, without
	  the option `speed=1', mondo/growisofs is unable to burn a DVD.
	  With
	  the option `speed=1', mondo works.
	  (Philippe De Muyter)

2005-11-15  bcornec

	* [r123] : Fix a memory free problem in libmondo-devices.c

2005-11-08  bcornec

	* [r117] : Fix bug #5505
	  (https://developer.berlios.de/bugs/?func=detailbug&bug_id=5505&group_id=2524)
	* [r116] : merge -r103:115 of branch 2.04_berlios (andree patches)

2005-11-05  bcornec

	* [r102] : Version adaptations for 2.05/1.05 of mondo/mindi

2005-11-04  bcornec

	* [r101] : Creation of 2.05 branch (new stable version) from
	  2.04_berlios-r100
	* [r99] : Apply patch from Andree Leidenfrost
	  <aleidenf_AT_bigpond.net.au>
	  (-r72:75 of trunk) for :
	  + correcting NFS handling in interactive mode
	  + growisofs and sudo pb

2005-10-27  bcornec

	* [r88] : ia64:
	  - corrects units issues in parted2fdisk.pl (cyl vs MB)
	  - add -n option to parted2fdisk.pl
	  - improve GPT support during partition restoration

2005-10-21  bcornec

	* [r85] : Patch allowing to restore on ia64 till 3rd CD :-)

2005-10-20  bcornec

	* [r79] : X11 seems broken so remove the X11 files in spec of mondo
	* [r71] : On ia64 you may have more than 4 primary partitions

2005-10-14  bcornec

	* [r64] : Hopefully end of rpm build env

2005-10-07  bcornec

	* [r53] : mondo.spec sharable between distributions (natively OK
	  for mdk/mdv)

2005-10-03  bcornec

	* [r39] : Creating 2.04_berlios branch for maintenanc pupore.
	  Trunck is now used ofr 2.05 mondo with massive asprintf usage and
	  memory management chnages making it instable for a while

2005-09-29  bcornec

	* [r35] : Again tagging improved
	* [r32] :

2005-09-28  bcornec

	* [r31] : version management with SVN (cont) and revised
	  paranoid_free
	* [r30] : Id property added on files to allow for better conf.
	  management
	* [r29] : Test on $Id$ usage

2005-09-19  bcornec

	* [r26] : Corrects bug 005083 (PXE and -p option incompatible)

2005-09-16  bcornec

	* [r25] :
	* [r24] : Correct [ Bug #4991 ] -H option of mondoarchive is not
	  completely automatic
	  https://developer.berlios.de/bugs/?func=detailbug&bug_id=4991&group_id=2524
	  
	  Not tested yet.

2005-09-09  bcornec

	* [r20] : -p option added

2005-09-06  bcornec

	* [r17] : Add an mkrpm script used to re-created RPMs locally for
	  testing purposes
	* [r16] : Last version update
	* [r14] :
	* [r13] : Spec update
	* [r9] : Correct bugs reported by Yann Aubert <technique@alixen.fr>
	  
	  1/ ping in start-nfs to allow for interface to come up
	  2/ nolock option for NFS mount as portmap isn't started
	* [r7] : needed
	* [r6] : Makefile.in are generated
	* [r4] : Makefile.am files should be managed under SVN as well
	* [r3] : Import from tar.gz
	* [r2] : Import from tar.gz
	* [r1] : Initial import from latest
	  mondo-2.04_cvs_20050503/mindi-1.04_cvs_20050503 on
	  http://www.mondorescue.org

